import os
from pscr_common.metrics import get_reporter, PrometheusRegistry
from pscr_common.metadata import MetadataProvider


class Metrics:
    def __init__(self):
        self.metrics_registry = PrometheusRegistry()
        env = os.environ.get("ENV_ID", "unknown")
        env_meta = MetadataProvider().get_metadata()
        self.reporter = get_reporter(
            self.metrics_registry,
            env,
            env_meta.task_id,
            "org_mapper",
            env_meta.image.rsplit(":", maxsplit=1)[-1],
        )

    def start_reporter(self):
        if self.reporter:
            self.reporter.start()
